<link rel="stylesheet" href="<?php echo base_url();?>public/css/vendor/bootstrap/bootstrap-table.css">
<link rel="stylesheet" href="<?php echo base_url();?>public/css/vendor/bootstrap/table-fix-column.css">

<script src="<?php echo base_url();?>public/js/vendor/bootstrap/src/bootstrap-table.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap/src/table-fix-column.js"></script>

<style type="text/css">
    table {
        table-layout:fixed !important;
    }

    th{
        background: rgb(146, 208, 80);
    }

    td,th{
        max-width: 400px;
        word-wrap: break-word;
    }

    .table-hover > tbody > tr:hover {
        background-color: #c8bd6d;
    }

    input {
        width:60px;
    }

    #roleTable tr:nth-child(5n){
        background:rgb(198, 239, 206);
    } /**隔五行*/

    .fixed-table-toolbar {
        display: none;
    }

    .fileinput-button {
        position: relative;
        top: -5px;
    }

    .fileinput-button input{
        position:absolute;
        right: 0px;
        top: 0px;
        opacity: 0;
        -ms-filter: 'alpha(opacity=0)';
    }
</style>
<div class="content_wrapper">
    <div id="msg-tip"></div>
    <div class="container-fluid ">
        <div class="row hide">
            <div class="col-sm-12">
                <aside>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <!--                                    <form class="form-inline" role="form" method="POST" action="#config/role">-->
                                    <!---->
                                    <!--                                        <button type="submit" class="btn btn-primary">查询</button>-->
                                    <!--                                    </form>-->
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>偷金币配置</header>
                    <section>
                        <div class="container-fluid">
                            <button type="button" style="margin-bottom: 10px;width: 80px;" class="btn btn-danger" disabled id="commitBtn">提交</button>
                            <div class="row" style="padding-left: 15px;">
                                <span id="filespancoin" class="btn btn-success fileinput-button">
                                    <span>导入配置</span>
                                    <input type="file" id="upfilecoin">
                                </span>
                                <input type="button" style="display: none;margin-bottom: 10px;width: 80px;" class="btn btn-success" value="上传" id="btncoin"/>
                                <a type="button" href="/Export/stealCoin" style="margin-bottom: 10px;width: 80px;" class="btn btn-success">导出配置</a>
                            </div>
                            <div class="row">

                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <table id="roleTable" class="table table-bordered table-hover"
                                               data-toggle="table"
                                               data-classes="table table-hover"
                                               data-show-columns="true"
                                               data-striped="true"

                                               data-height="700">
                                            <thead>
                                            <tr>

                                                <th>等级</th>
                                                <th>偷取上限</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <?php
                                            if(is_array($list)  && !empty($list)){
                                                foreach ($list as $key => $vl) { ?>
                                                    <tr>
                                                        <td><?php echo '<div class="levelId">'.$vl['levelId'].'</div>';?></td>
                                                        <td><?php echo '<div class="maxCoin">'.$vl['maxCoin'].'</div>';?></td>
                                                    </tr>
                                                <?php } } else{?>
                                                <tr id="emptyTr">
                                                    <td colspan="14">暂无数据</td>
                                                </tr>
                                            <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    <button type="button"  class="btn btn-primary"  id="addBtn"><i class="fa fa-plus-square"></i>添加</button>

                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
    </div>


</div>


<script src="<?php echo base_url();?>public/js/common.js"></script>
<!--<script src="--><?php //echo base_url();?><!--public/js/imageChange.js"></script>-->

<script>
    

    $("#filespanpro").on("change", "input[type='file']", function() {
        var filePath = $(this).val();
        //如果仅上传图片 if(filePath.indexOf("jpg") != -1 || filePath.indexOf("png") != -1) {
        if (filePath) {
            $('#filespanpro').hide();
            $('#btnpro').show();
        } else {
            return false
        }
    });

    $("#btncoin").click(function(){
        var formData = new FormData();
        formData.append("file",document.getElementById("upfilecoin").files[0]);
        showLoading()
        $.ajax({
            type: "POST", // 数据提交类型
            url: "Import/stealCoin", // 发送地址
            data: formData, //发送数据
            async: true, // 是否异步
            processData: false, //processData 默认为false，当设置为true的时候,jquery ajax 提交的时候不会序列化 data，而是直接使用data
            contentType: false, //
            success: function(data) { // 成功回调
                hideLoading()
                data = JSON.parse(data);
                alert(data.msg);
                // if(data.ret == 0){
                //     window.location.reload();
                // }else {
                //     $('#upfilecoin').val('');
                //     msgTip = $('#msg-tip');
                // }
            }
        });
    });

    $("#filespancoin").on("change", "input[type='file']", function() {
        var filePath = $(this).val();
        //如果仅上传图片 if(filePath.indexOf("jpg") != -1 || filePath.indexOf("png") != -1) {
        if (filePath) {
            // $('#filespancoin').hide();
            $('#btncoin').click();
        } else {
            return false
        }
    });



    $('#roleTable').on('paste', 'input', function (e) {
        var _that =  $(this);
        var strArr = [];
        var pastedText = undefined;
        if (window.clipboardData && window.clipboardData.getData) { // IE
            pastedText = window.clipboardData.getData('Text');
        } else {
            pastedText = e.originalEvent.clipboardData.getData('Text');//e.clipboardData.getData('text/plain');
        }
        if(pastedText == undefined || pastedText == null || pastedText == ''){
            return;
        }
        //处理粘贴的数据,已空格拆分
        pastedText = pastedText.replace(/,/g, '');
        strArr = pastedText.split(/\s+/);

        setTimeout(function () {
            _that.val(strArr[0]);
        }, 200);

        for(var i=1; i < strArr.length; i++){
            _that.parent().siblings().eq(i-1).removeClass('input').html(strArr[i] || '');
        }
    });

    $('#roleTable').on('dblclick','div',function(){
        var _this = $(this),//保存td
            tdText = _this.text();
        var editUserList = '<?php echo json_encode($editUserList) ?>';
        var username = '<?php echo get_cookie('username');?>';
        var msgTip = $('#msg-tip');

        editUserList = JSON.parse(editUserList);
        if($.inArray(username, editUserList) < 0){
            //alert('没有编辑权限');
            //return;
        }

        var  cellIndex =  _this[0].cellIndex;
        if(cellIndex == 0) {return false;} //点击操作列不可编辑


        if(!_this.is('.input')){
            _this.addClass('input').html('<input type="text" value="'+ tdText +'" />').find('input').focus().blur(function(){
                var _input = $(this); //保存input对象
                var thisvalue = $(this).val();
                _input.parent().removeClass('input').html(thisvalue || '');
                if($('#commitBtn').prop('disabled')){
                    $('#commitBtn').attr('disabled', false);
                }
            });
        }

    });


    //新增一行
    $('#addBtn').click(function () {
        var editUserList = '<?php echo json_encode($editUserList) ?>';
        var username = '<?php echo get_cookie('username');?>';
        var msgTip = $('#msg-tip');
        if($('#emptyTr').length > 0)$('#emptyTr').remove()
        editUserList = JSON.parse(editUserList);
        if($.inArray(username, editUserList) < 0){
            //alert('没有编辑权限');
            //return;
        }

        if($('#commitBtn').prop('disabled')){
            $('#commitBtn').attr('disabled', false);
        }
        var html = '<tr>';
        html += '<td class="input add-row"><div class="levelId"><input name="levelId" value=""/></div></td>';
        html += '<td class="input add-row"><div class="maxCoin"><input name="maxCoin" value=""/></div></td>';

        html += ' </tr>';
        $('#roleTable').append(html);
    });

    //删除一行
    $('#roleTable').on('click','.delete-row',function () {
        if(confirm('是否确认删除该行')){
            if($('#commitBtn').prop('disabled')){
                $('#commitBtn').attr('disabled', false);
            }
            $(this).parent().parent().remove();
        }

    });


    $('#roleTable').on('blur', '.add-row', function () {
        var _that = $(this);
        var thisval = _that.find('input');
        var div = $(thisval[0]).parent();
        if($(thisval[0]).val() == ""){
            div.html(0);
        }else{
            div.html($(thisval[0]).val());
        }

        div.removeClass('input');
        div.parent().removeClass('input');
    });


    //提交表格数据
    $('#commitBtn').click(function () {
        var tableContent = $('#roleTable').html(),
            msgTip = $('#msg-tip');
        //如果还有添加未编辑的，则不能提交
        if($('#roleTable td').hasClass('input')){
            alert('列表中还有未编辑的');
            return;
        }


        var tr = $('#roleTable tr');
        var arr = [];

        for (var i = 1; i < tr.length; i++) {
            var arrayTemp = {};
            td = $(tr[i]).find('td');
            console.log($(tr[i]))
            console.log(td)
            console.log(td.find('.levelId'))
            arrayTemp['levelId'] = td.find('.levelId').text()
            arrayTemp['maxCoin'] = td.find('.maxCoin').text()

            arr.push(arrayTemp)
        }
        console.log(arr)
        console.log(JSON.stringify(arr))
        showLoading()
        $.ajax({
            type: 'POST',
            dataType: 'json',
            data:{
                data:JSON.stringify(arr)
            },
            url:'config/stealCoinConfigSave',
            success: function(data){
                hideLoading()
                alert(data.msg);
            }
        });
    });



</script>

